Authentication
Each API endpoint accepts posted Form Data, and each request must include Basic Authentication corresponding to an existing user on the server.
Create a Meeting
POST /api/meetings command=MEETING-ADD
| Parameter | Description |
|---|---|
| command | MEETING-ADD |
| meeting_start | Start time of the meeting in epoch seconds |
| meeting_duration | Duration of the meeting in hours |
| meeting_subject | Subject of the meeting |
| Response | Description |
|---|---|
200 {uuid} | Meeting successfully created. Returns the meeting UUID in the response body. |
400 INVALID-{FIELD-NAME} | Invalid parameter. |
| 401 Unauthorized |
Delete a Meeting
POST /api/meetings command=MEETING-DEL
You must be the meeting owner to perform this action.
| Parameter | Description |
|---|---|
| command | MEETING-DEL |
| meeting_id | The meeting UUID to delete |
| Response | Description |
|---|---|
| 200 | Meeting successfully deleted |
| 401 Unauthorized |
List Meeting Participants
POST /api/meetings command=MEETING-PARTICIPANTS
You must be the meeting owner to perform this action.
| Parameter | Description |
|---|---|
| command | MEETING-PARTICIPANTS |
| meeting_id | Meeting UUID |
| Response | Description |
|---|---|
| 200 | XML Response containing participant list |
| 401 Unauthorized |
Example Response
<sources>
<source id="669429724">
<name>Example User</name>
<cname>[email protected]</cname>
<join_time>1590590473</join_time>
</source>
</sources>Send Meeting Invitation SMS
POST /api/meetings command=MEETING-SMS
You must be the meeting owner, and have a valid AWS key configured on the UCS to send SMS messages.
| Parameter | Description |
|---|---|
| meeting_id | Meeting UUID |
| invitee | SMS Endpoint |
| meeting_subject | SMS Body |
| base | URL "base" on the UCS that the SMS will link to. Defaults to "web", the Visionable meeting landing page |
| Response | Description |
|---|---|
| 200 | Success |
| 400 INVALID-ENDPOINT | |
| 400 INVALID-MESSAGE | |
| 400 INVALID-AWS-AUTH | |
| 400 INVALID-MEETING-ID | |
| 400 INVALID-RATE-LIMIT | |
| 401 Unauthorized |
Send Meeting Invitation Email
POST /api/meetings command=MEETING-EMAIL
You must be the meeting owner to perform this action.
| Parameter | Description |
|---|---|
| meeting_id | Meeting UUID |
| invitee | Email address |
| title | Email subject |
| meeting_subject | Email body |
| base | URL "base" on the UCS that the Email will link to. Defaults to "web", the Visionable meeting landing page |
| Response | Description |
|---|---|
| 200 | Success |
| 400 INVALID-MEETING-ID | |
| 400 INVALID-RATE-LIMIT | |
| 401 Unauthorized |
Meeting Invitation URLs
The meeting invitation links can be generated easily using the meeting UUID:
https://[server]/web/{meeting_id}
https://[server]/ical/{meeting_id}
